VERSION 5.00
Begin VB.Form Form1 
   Caption         =   "Form1"
   ClientHeight    =   3090
   ClientLeft      =   60
   ClientTop       =   450
   ClientWidth     =   4680
   LinkTopic       =   "Form1"
   ScaleHeight     =   3090
   ScaleWidth      =   4680
   StartUpPosition =   3  'Windows Default
   Begin VB.CommandButton Command1 
      Caption         =   "Command1"
      Height          =   615
      Left            =   660
      TabIndex        =   0
      Top             =   1080
      Width           =   1155
   End
End
Attribute VB_Name = "Form1"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
  Dim PayObject As Pay


Private Sub Command1_Click()
  Dim AuthString As String

  Set PayObject = New Pay
  PayObject.Connection.DebugFilePath = "C:\cts"
  PayObject.Connection.DebugLoggingEnabled = True
  
  PayObject.Connection.RemoteHost = "127.0.0.1"
'  PayObject.Connection.RemoteHost = "172.31.103.175"
  PayObject.Connection.RemotePort = 8700
  PayObject.Connection.timeOut = 30
  PayObject.Connection.InterPacketDelay = 1000

  PayObject.Connection.CommsMethod = CommsXML
  PayObject.Trans.TransactionNumber = "126873"
  PayObject.Trans.SourceTerminalIdentifier = "1234"
  PayObject.Trans.Wait = True


  PayObject.Trans.TransactionAmount = "800"
  PayObject.Trans.SourceTerminalIdentifier = "RL94"
  PayObject.Trans.TransactionNumber = 123456
  PayObject.Trans.TransactionType = "0"
  PayObject.Connection.SecureMode = 0
  PayObject.Trans.TransactionSource = "0"
 ' PayObject.GetCardDetails

  'MsgBox PayObject.Trans.AuthCode & "-" & _
         PayObject.Trans.ResponseIndicator & "-" & _
         PayObject.Trans.errorCode
         PayObject.Trans.Target = "Terminal"
         PayObject.RemoveCard
         
         PayObject.Authorise (False)

  MsgBox PayObject.Trans.AuthCode & "-" & _
         PayObject.Trans.ResponseIndicator & "-" & _
         PayObject.Trans.errorCode
         
'         PayObject.Authorise (False)

End Sub

